﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class YAxisCustomTickmarkValues : TickmarkValues
    {
        double _max;

        public override void Initialize(TickmarkValuesInitializationParameters initializationParameters)
        {
            base.Initialize(initializationParameters);

            _max = initializationParameters.VisibleMaximum;

            if (initializationParameters.HasUserInterval)
                this.Interval = initializationParameters.UserInterval;
            else
                // an interval was not provided
                this.Interval = 10.0;
        }

        public override IEnumerable<double> MajorValues()
        {
            List<double> values = new List<double>();

            for (double i = 0; i < _max; i += this.Interval)
                values.Add(i);

            return values;
        }

        public override IEnumerable<double> MinorValues()
        {
            return new List<double>();
        }
    }
}
